<p>sale- works!</p>
<h2> Sales </h2>
<h3>Consultar client</h3>
<div>
    <form [formGroup]="searchForm">
        <label for="">Buscador</label>

        <input type="text" autocomplete="off" formControlName="document" (keyup)="searchClient()" name="document">
    </form>
    <!-- <p *ngIf="client"> {{client | json}}</p> 
    <p *ngIf="!statusSearchDocument" class="alert"> El cliente no se encuentra con ese número de documento</p>
    -->
</div>

<br/>
<table *ngIf="clientList.length > 0" class="table table-light" >
    <thead class="thead-light">
        <tr>
            <th>Id</th>
            <th>Name</th>
            <th>Document</th>
            <th>Email</th>
            <th>PhoneNumber</th>
            <th>DocumentType</th>
            <th>Select</th>
        </tr>
    </thead>
    <tbody>
        <tr *ngFor="let item of clientList">
            <td>{{item.id}}</td>
            <td>{{item.name}}</td>
            <td>{{item.document}}</td>
            <td>{{item.email}}</td>
            <td>{{item.phoneNumber}}</td>
            <td>{{item.documentType}}</td>
            <td>

                <button (click)= "addClient(item)"> Seleccionar </button>

            </td>
        </tr>
    </tbody>
</table>
<br/>
<table class="table table-light" >
    <thead class="thead-light">
        <tr>
            <th>Id</th>
            <th>Model</th>
            <th>Price</th>
            <th>Serial</th>
            <th>Comprar</th>
        </tr>
    </thead>
    <tbody>
        <tr *ngFor="let item of bikesList">
            <td>{{item.id}}</td>
            <td>{{item.model}}</td>
            <td>{{item.price}}</td>
            <td>{{item.serial}}</td>
            <td>

                <button (click)= "buyItem(item)"> Comprar </button>

            </td>
        </tr>
    </tbody>
</table>

<br/>

<h2>DATOS DE LA COMPRA</h2>
<!--
<p>--------------------------------- C L I E N T ---------------------------------</p>
<table class="table table-light" class="client">
    <thead class="thead-light">
        <tr>

            <th>Name</th>
            <th>Document</th>
            <th>Email</th>
            <th>PhoneNumber</th>
            <th>DocumentType</th>
        </tr>
    </thead>
    <tbody>
        <tr *ngFor="let item of clientList">
            <td>{{item.name}}</td>
            <td>{{item.document}}</td>
            <td>{{item.email}}</td>
            <td>{{item.phoneNumber}}</td>
            <td>{{item.documentType}}</td> 
        </tr>
    </tbody>
</table>
-->

<br/>

<p>--------------------------------- B I K E ---------------------------------</p>
<table class="table table-light" class="bike">
    <thead class="thead-light">
        <tr>
            <th>Serial</th>
            <th>Model</th>
            <th>Price</th>
            <th>Client Id</th>
            <th>Client Name</th>
        
        </tr>
    </thead>
    <tbody>
        <tr *ngFor="let item of salesList">
            <td>{{item.bike.serial}}</td>
            <td>{{item.bike.model}}</td>
            <td>{{item.bike.price}}</td>
            <td>{{item.clientId}}</td>
            <td>{{item.clientName}}</td>
        </tr>
    </tbody>
</table>


<br/>
<p>--------------------------------- S U M A ---------------------------------</p>

<h2>Total: {{ total }}</h2>

<br/>

<button> Confirmar </button>